#include "dirtmanager.h"

using indexlib::detail::dirtmanager;

void dirtmananager::start_sync() {
	std::for_each( children_.begin(), children_.end(), std::mem_fun( &syncable::start_sync ) );
}

void dirtmananager::finish_sync() {
	std::for_each( children_.begin(), children_.end(), std::mem_fun( &syncable::finish_sync ) );
}

void dirtmananager::set_ronly() {
	std::for_each( children_.begin(), children_.end(), std::mem_fun( &syncable::set_ronly ) );
}

void dirtmananager::set_rw() {
	std::for_each( children_.begin(), children_.end(), std::mem_fun( &syncable::set_rw ) );
}

